SplFixedArray::current
SplFixedArray::getSize
SplFixedArray
PHP Manual

# SplFixedArray::fromArray

(PHP 5 >= 5.3.0)

SplFixedArray::fromArray — Import a PHP array in a SplFixedArray instance

### Description

public static SplFixedArray SplFixedArray::fromArray ( array `$array` [, boolean `$save_indexes` ] )

Import the PHP array `array` in a new SplFixedArray instance

### Parameters

`array`

  The array to import.

`save_indexes`

  Try to save the numeric indexes used in the original array. Defaults to `TRUE`.

### Return Values

Returns an instance of SplFixedArray containing the array content.

### Examples

Example #1 SplFixedArray::fromArray() example

`<?php
$fa = SplFixedArray::fromArray(array(1 => 1, 0 => 2, 3 => 3));
var_dump($fa);
$fa = SplFixedArray::fromArray(array(1 => 1, 0 => 2, 3 => 3), false);
var_dump($fa);
?>`

The above example will output:

    object(SplFixedArray)#1 (4) {
      [0]=>
      int(2)
      [1]=>
      int(1)
      [2]=>
      NULL
      [3]=>
      int(3)
    }
    object(SplFixedArray)#2 (3) {
      [0]=>
      int(1)
      [1]=>
      int(2)
      [2]=>
      int(3)
    }

SplFixedArray::current
SplFixedArray::getSize
SplFixedArray
PHP Manual